/*
****************************************************************************************************
* (c) copyright by
*     Embedded Office GmbH & Co. KG       Tel : (07522) 97 00 08-0
*     Friedrich-Ebert-Str. 20/1           Fax : (07522) 97 00 08-99
*     D-88239 Wangen                      Mail: info@embedded-office.de
*                                         Web : http://www.embedded-office.de
*
* All rights reserved. Confidential and Proprietary. Protected by international copyright laws.
* Knowledge of the source code may not be used to write a similar product.
* This file may only be used in accordance with a license and should not be
* redistributed in any way.
****************************************************************************************************
*/
/*!
****************************************************************************************************
* \file      app_cfg.h
* \brief     APPLICATION CONFIGURATION
* \ingroup   APP
*
* $Id: //stream_demos/demo_cmsis_pack/demo_cmsis/Files/UserCodeTemplates/app_cfg.h#1 $
*
*            This file contains configuration defines for the application software.
*
****************************************************************************************************
*/
/*----------------------------------------END OF HEADER-------------------------------------------*/

#ifndef APP_CFG_H_
#define APP_CFG_H_

#ifdef __cplusplus                                    /* for compatibility with C++ environments  */
extern "C" {
#endif


/*
****************************************************************************************************
*                                           DEFINES
****************************************************************************************************
*/

#define APP_START_PRIO    0u                          /*!< Start Task Priority                    */
#define APP_START_STK_SZ  OS_TASK_DEFAULT_STK_SIZE    /*!< Start Task Stack Size                  */

/* Here you can define the task priorities and task stack sizes of your application tasks */

#ifdef __cplusplus                                    /* for compatibility with C++ environment   */
}
#endif

#endif

