/*
****************************************************************************************************
* (c) copyright by
*     Embedded Office GmbH & Co. KG       Tel : (07522) 97 00 08-0
*     Friedrich-Ebert-Str. 20/1           Fax : (07522) 97 00 08-99
*     D-88239 Wangen                      Mail: info@embedded-office.de
*                                         Web : http://www.embedded-office.de
*
* All rights reserved. Confidential and Proprietary. Protected by international copyright laws.
* Knowledge of the source code may not be used to write a similar product.
* This file may only be used in accordance with a license and should not be
* redistributed in any way.
****************************************************************************************************
*/
/*!
****************************************************************************************************
* \file      main.h

* \brief     Flexible Safety RTOS Main function header file

* $Id: //stream_demos/demo_cmsis_pack/demo_cmsis/Files/UserCodeTemplates/main.h#1 $
****************************************************************************************************
*/
/*----------------------------------------END OF HEADER-------------------------------------------*/

#ifndef MAIN_H_
#define MAIN_H_

/*
****************************************************************************************************
*                                             INCLUDES
****************************************************************************************************
*/
#include "ucos_ii.h"                                  /* use: uC/OS-II in application             */
#include "sp_core.h"                                  /* use: uC/OS-MPU extension                 */
#include "sp_osapi.h"                                 /* use: uC/OS-II wrapper functions          */

/*
****************************************************************************************************
*                                      API FUNCTION PROTOTYPES
****************************************************************************************************
*/


#endif  /* #ifndef MAIN_H_ */